Web lists-archives.com

Re: Proposal: Repository for fast-paced package backports




On 12/27/18 10:49 AM, L.P.H. van Belle wrote:
> 
> Hai, 
> 
> A very interesting thread this, since im doing this already for samba, my comments.. 
> If i may ..
> 
> Im running a samba repo now for jessie and stretch. ( and ubuntu 18.04 ) 
> I really needed newer samba packages and i was not able to get them uploaded to unstable. 
> So i decided to build them myself and share them. 
> 
> And now people are more and more using my samba package over the official debian package. 
> Because the newer version are build against debian stable or oldstable, and people can choose there upgrade.
> 
> If the might be a fast-lane repo, why not per package version.
> This way we can keep the changes to other packages small and limited. 
> 
> What i now now do. 
> I have 4 repo's for jessie,  jessie-samba45 jessie-samba46 jessie-samba47 jessie-samba48 
> I have 4 repo's for stretch, stretch-samba46 stretch-samba47 stretch-samba48 stretch-samba49
> (And for the ubuntu supporters a samba49 in amd64 only.)
> 
> Why 4? 
> https://wiki.samba.org/index.php/Samba_Release_Planning 
> Debian version 4.5 (in stable)  And the 3 maintanted samba versions. 
> 
> Currely Debian samba is 4.5.12, which is fine, but if you want a more advanced samba, you really need to upgrade.
> The difference between 4.5.12 and 4.5.16, is major in winbind fixed already. 
> 
> What i also do, at least try to, keep 2 versions of samba in sync, above shows 3 but i need 2 at least. 
> I do this so the OS upgrade wont affect a samba upgrade. 
> Users choose a samba version and stay in that version, untill they dicede to upgrade samba, or get new when new debian stable has a higher release.
> Im doing this since samba 4.1.x debian Wheezy, and main reason is the fast samba pace and slow debian packages.
> Not that i mind that, i do love debian and its stability so, keep it slow, yes, but an option for fast moving packages would be nice. 
> 
> So how about something like this. 
> deb http://deb.debian.org/debian fastmove/stretch-samba48 main contrib non-free" 
> 
> And if one want a samba 4.9 that does not exist withing debian, you create the stretch-samba49 line. 
> deb http://deb.debian.org/debian fastmove/stretch-samba49 main contrib non-free" 
> 
> And if the stable version gets thats a higher version then the fastmove, its automaticly picked up again. 
> 
> So if a contibuter wants a higher version, he can build it, and upload it. 
> And the original maintains should get a ping of a higher release version, so if needed they can adopt it to experimental before it goes to unstable. 
> 
> This is a bit what i do for samba ( and debian ) 
> 
> Just my suggest as community helper. 
> 
> 
> Greetz, 
> 
> Louis

If you care so much for Samba, why don't you maintain it in Debian
backports yourself then? Especially considering the current maintainer
wrote he doesn't have time to do so, it'd be nice to see your
contribution there.

Cheers,

Thomas Goirand (zigo)